<?php

declare(strict_types=1);

namespace Drupal\navigation_plus\Controller;

use Drupal\user\Entity\User;
use Drupal\Core\Ajax\AjaxResponse;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\Response;

/**
 * Returns responses for Navigation + routes.
 */
final class SaveUserHotkey extends ControllerBase {

  /**
   * Builds the response.
   */
  public function __invoke(string $tool_id, string $hotkey)  {
    $account = $this->currentUser();
    if ($account->isAuthenticated()) {
      $user = User::load($account->id());
      $settings = $user->navigation_plus_settings->getValue();
      $settings[0]['hotkeys'][$tool_id] = $hotkey;
      $user->set('navigation_plus_settings', $settings[0]);
      $manager = \Drupal::service('workspaces.manager');
      $callback = function() use ($user) {
        $user->save();
      };
      if ($manager->hasActiveWorkspace()) {
        $manager->executeOutsideWorkspace($callback);
      } else {
        $callback();
      }
    }

    return new AjaxResponse(NULL, Response::HTTP_OK);
  }

}
